# vxWorks startup file for testing DirectNet via MPF on an mv162/172

< cdCommands

cd topbin
ld < testLib

ipacAddCarrier(&ipmv162, "B:l=3,3 m=0xe0000000,64")
initIpacCarrier("IP-0", 0)
initOctalUART("RS232-0", "IP-0", "IP_b", 8, 0x60)
initOctalUARTPort("RS232-0-1", "RS232-0", 0, 9600, "O", 1, 8, "N")

routerInit
localMessageRouterStart 0

startDirectNetServer("dnMpf0", "RS232-0-1", 50)

createDnMpfPLC("DL250", 1, "dnMpf0", 0)

cd startup
dbLoadDatabase("../../dbd/dnMpfTest.dbd")
dbLoadRecords("../../db/dnMpfTest.db", "user=anj,plc=DL250")
dbLoadRecords("../../db/DL250statMpf.db", "name=anj,plc=DL250")

iocInit

# These are some useful debugging commands:
#taskDelay(30)

#serialPortSniff "RS232-0-1", 10

#dnServerDebug = 50
#dnClientDebug = 1
#devDnMpfDebug = 50

#DNI "DL250"

